Bug 324566 - Copied code is license-incompatible
Summary: Copied code is license-incompatible
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Detection (show other bugs)
Version: 3.3.0
Platform: unspecified Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-05 19:14 UTC by Andreas K. Huettel
Modified: 2018-04-01 09:43 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Huettel 2013-09-05 19:14:40 UTC
libkface incorporates code from OpenTLD, licensed under GPL-3 (*), while libkface itself is licensed GPL-2. These two licenses are incompatible, see 
http://www.gnu.org/licenses/gpl-faq.html#AllCompatibility
which means that distribution of the combined work is not permitted.

(*) http://gnebehay.github.io/OpenTLD/
Comment 1 Marcel Wiesweg 2013-09-05 20:09:39 UTC
libkface is GPLv2 or later (I hope there are not parts which are GPLv2 only) so the combined work would effectively be GPLv3.
This still violates the KDE license policy. We currently do not use OpenTLD based recognition, so we can cut the connection.
Comment 2 caulier.gilles 2014-06-12 06:01:55 UTC
Git commit 8581dd6c685f103a874cd1fe92747f8da3a0323f by Gilles Caulier.
Committed on 12/06/2014 at 05:57.
Pushed by cgilles into branch 'master'.

Accordingly with Marcel Wiesweg comment #1 from bugs #324566, OpenTLD and CVBlobs libraries embeded in libkface can be dropped.
This code is not used anymore.
Code polish

M  +2    -6    CMakeLists.txt
D  +0    -2    OpenTLD/CMakeLists.txt
D  +0    -262  OpenTLD/src/3rdparty/cvblobs/BlobContour.cpp
D  +0    -98   OpenTLD/src/3rdparty/cvblobs/BlobContour.h
D  +0    -22   OpenTLD/src/3rdparty/cvblobs/BlobLibraryConfiguration.h
D  +0    -502  OpenTLD/src/3rdparty/cvblobs/BlobOperators.cpp
D  +0    -754  OpenTLD/src/3rdparty/cvblobs/BlobOperators.h
D  +0    -81   OpenTLD/src/3rdparty/cvblobs/BlobProperties.cpp
D  +0    -72   OpenTLD/src/3rdparty/cvblobs/BlobProperties.h
D  +0    -961  OpenTLD/src/3rdparty/cvblobs/BlobResult.cpp
D  +0    -174  OpenTLD/src/3rdparty/cvblobs/BlobResult.h
D  +0    -27   OpenTLD/src/3rdparty/cvblobs/CMakeLists.txt
D  +0    -418  OpenTLD/src/3rdparty/cvblobs/ComponentLabeling.cpp
D  +0    -30   OpenTLD/src/3rdparty/cvblobs/ComponentLabeling.h
D  +0    -708  OpenTLD/src/3rdparty/cvblobs/blob.cpp
D  +0    -174  OpenTLD/src/3rdparty/cvblobs/blob.h
D  +0    -41   OpenTLD/src/libopentld/CMakeLists.txt
D  +0    -275  OpenTLD/src/libopentld/tld/Clustering.cpp
D  +0    -61   OpenTLD/src/libopentld/tld/Clustering.h
D  +0    -99   OpenTLD/src/libopentld/tld/DetectionResult.cpp
D  +0    -60   OpenTLD/src/libopentld/tld/DetectionResult.h
D  +0    -347  OpenTLD/src/libopentld/tld/DetectorCascade.cpp
D  +0    -98   OpenTLD/src/libopentld/tld/DetectorCascade.h
D  +0    -262  OpenTLD/src/libopentld/tld/EnsembleClassifier.cpp
D  +0    -81   OpenTLD/src/libopentld/tld/EnsembleClassifier.h
D  +0    -85   OpenTLD/src/libopentld/tld/ForegroundDetector.cpp
D  +0    -55   OpenTLD/src/libopentld/tld/ForegroundDetector.h
D  +0    -84   OpenTLD/src/libopentld/tld/IntegralImage.h
D  +0    -188  OpenTLD/src/libopentld/tld/NNClassifier.cpp
D  +0    -64   OpenTLD/src/libopentld/tld/NNClassifier.h
D  +0    -43   OpenTLD/src/libopentld/tld/NormalizedPatch.h
D  +0    -481  OpenTLD/src/libopentld/tld/TLD.cpp
D  +0    -78   OpenTLD/src/libopentld/tld/TLD.h
D  +0    -249  OpenTLD/src/libopentld/tld/TLDUtil.cpp
D  +0    -120  OpenTLD/src/libopentld/tld/TLDUtil.h
D  +0    -103  OpenTLD/src/libopentld/tld/VarianceFilter.cpp
D  +0    -60   OpenTLD/src/libopentld/tld/VarianceFilter.h
M  +6    -8    libkface/CMakeLists.txt
M  +119  -80   libkface/alignment-congealing/funnelreal.cpp
M  +8    -9    libkface/alignment-congealing/funnelreal.h
M  +3    -1    libkface/alignment-flandmark/flandmarkaligner.cpp
M  +0    -3    libkface/alignment-flandmark/flandmarkaligner.h
M  +1    -48   libkface/database/trainingdb.cpp
M  +1    -7    libkface/database/trainingdb.h
M  +8    -6    libkface/detection/opencvfacedetector.cpp
M  +2    -2    libkface/detection/opencvfacedetector.h
M  +11   -10   libkface/facedetector.cpp
M  +19   -15   libkface/preprocessing-tantriggs/tantriggspreprocessor.cpp
M  +4    -2    libkface/preprocessing-tantriggs/tantriggspreprocessor.h
D  +0    -225  libkface/recognition-opentld/opentldfacerecognizer.cpp
D  +0    -92   libkface/recognition-opentld/opentldfacerecognizer.h
D  +0    -106  libkface/recognition-opentld/unitfacemodel.cpp
D  +0    -97   libkface/recognition-opentld/unitfacemodel.h
M  +35   -19   libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/8581dd6c685f103a874cd1fe92747f8da3a0323f